package com.pcloud.book.rightsSetting.biz;

import com.pcloud.book.rightsSetting.dto.RightsSettingDto;
import com.pcloud.book.rightsSetting.entity.RightsSetting;
import com.pcloud.common.dto.ResponseDto;
import com.pcloud.common.page.PageBeanNew;

public interface RightsSettingBiz {
    Long addRightsSetting(RightsSetting rightsSetting);

    void deleteRightsSetting(Long id);

    void updateRightsSetting(RightsSetting rightsSetting);

    RightsSetting getRightsSetting(Long id);

    PageBeanNew<RightsSettingDto> listRightsSettingPage(Integer currentPage, Integer numPerPage, RightsSetting rightsSetting);

    RightsSettingDto getByLabel(Long firstClassify,Long secondClassify,Long gradeLabelId,Long subjectLabelId);

    Integer getUserCount();
}
